# Base

Here we define the abstract supertypes that all outlier detectors share as well as the necessary [`fit`](@ref) and
[`transform`](@ref) methods that have to be implemented for each detector.

## Types

### Detector

```@docs
Detector
```

### SupervisedDetector

```@docs
SupervisedDetector
```

### UnsupervisedDetector

```@docs
UnsupervisedDetector
```

### DetectorModel

```@docs
DetectorModel
```

### Scores

```@docs
Scores
```

### Labels

```@docs
Labels
```

### Data

```@docs
Data
```

## Functions

### fit

```@docs
fit
```

### transform

```@docs
transform
```
